
CLS
ECHO OFF
CLS

:HELP
CLS
echo. 
echo. ۰
echo. ۰    LOOK     A nifty quick little all purpose editor. Good  
echo. ۰ for most anything  up to a file length of 64K. 
echo. ۰
echo. 
echo.                             Ŀ   Ŀ
echo.                             L  LOOK     Z  ZITS      Ŀ
echo.   Ŀ      ͼ   ͼ    B  our BLURB  
echo.   C  COMMENTS                                           ͼ
echo.   ͼ          Ŀ      Ŀ
echo.                                  Q   QUIT    Q       R  RINGKEY help   
echo.                                 ͼ      ͼ
echo.
echo.   ܰ
echo.                                                                          
echo.          Ŀ      Ŀ       
echo.          M   MANUAL document          F   BATCH FILE help          
echo.                       
echo.                                                                          
echo.     
echo.     
echo.        PRESS  (X)  FOR A ONE SECOND TUTORIAL ON USING LOOK  
echo.   ߰

RINGKEY [B C F L M Q R X Z]

IF ERRORLEVEL 90 GOTO ZITS            90 is ascii decimal key code for Z
IF ERRORLEVEL 88 GOTO TUTORIAL        81 is ascii decimal key code for X
IF ERRORLEVEL 82 GOTO RING            82 is ascii decimal key code for R
IF ERRORLEVEL 81 GOTO QUIT1           81 is ascii decimal key code for Q
IF ERRORLEVEL 77 GOTO MANUAL          77 is ascii decimal key code for M
IF ERRORLEVEL 76 GOTO LOOK            76 is ascii decimal key code for L
IF ERRORLEVEL 70 GOTO BATCH           70 is ascii decimal key code for F
IF ERRORLEVEL 67 GOTO COMMENT         67 is ascii decimal key code for C
IF ERRORLEVEL 66 GOTO BLURB           66 is ascii decimal key code for B

::                                                        
::                                   Ŀ
::                                     ANNOTATIONS                     
::                                                                     
::                                     These codes can be annotated    
::                                     with comments, as shown here.   
::                                   


:: ......... RINGKEY.EXE  is a little utility which programs keys to be
::           evoked in a batch file.  HELP for the  RINGKEY  utility is
::           by typing  RINGKEY  at Dos.


:QUIT1
echo.
echo.
echo.
echo.  waiting
echo.
echo.
GOTO QUIT


:TUTORIAL
CLS
echo.
echo.
echo.                   Opening  TUTORIAL.DOC  file in  LOOK
echo.
echo.
echo.                   This concerns mainly with simple  LOAD  SAVE
echo.                   ERROR message expectations, etc.  As well as
echo.                   instant ascii  GRAPHIC  typing and designing
echo.                   from keys on the cursor pad.
echo.
echo.
echo.                   LOOK    Runs in NETWORK systems, and is safe
echo.                   to load through any program which has a  DOS
echo.                   gateway.
echo.
echo.
echo.
PAUSE
echo.
echo.   waiting
LOOK TUTORIAL.DOC
PAUSE
echo.
echo.
GOTO HELP


:MANUAL
CLS
echo.
echo.
echo.                   Opening  MANUAL.DOC  file in  LOOK
echo.
echo.
echo.                   Nitty gritty details for the curious or
echo.                   hard pressed. You may find helpful tips
echo.                   by browsing this file.
echo.
echo.
echo.
PAUSE
echo.
echo.   waiting
LOOK MANUAL.DOC
echo.
echo.
PAUSE
GOTO HELP


:BATCH
CLS
echo.
echo.
echo.                   Opening  BATCH.HLP  file in  LOOK
echo.
echo.
echo.                   This file contains notes and items regards
echo.                   using batch files mainly for creating quickly
echo.                   written menu display programs or text information
echo.                   screens. Kinky situations which had to be solved
echo.                   by screams rather than wits are listed, as well
echo.                   a few samples of batch file mechanisms that are
echo.                   usually not easily handled without examples.
echo.
echo.
PAUSE
echo.
echo.   waiting
LOOK BATCH.HLP
PAUSE
echo.
echo.
GOTO HELP


:ZITS
CLS
echo.
echo.
echo.                   Opening  Z  file in  LOOK
echo.
echo.
echo.                   We call this file the  'ZIT' file since it contains
echo.                   lower ascii control code characters which devastate
echo.                   most editors,  or are clumsily displayed as hard to
echo.                   read ^ characters. In LOOK all characters in a file
echo.                   are seen and all display modes are actually editing
echo.                   windows. Try toggles ALT-Y  and  ALT-T  to see what
echo.                   we mean.
echo.
echo.                   In case you haven't caught the point, all of the asciis
echo.                   (255) except for NULLS can be typed by the ALT key held
echo.                   down, and the character's ascii decimal number typed is
echo.                   as digits on the cursor pad.  A NULL character is typed
echo.                   by ALT-0.
echo.
echo.
echo.
PAUSE
echo.
echo.   waiting
LOOK Z
PAUSE
echo.
echo.
GOTO HELP

:BLURB
README.BAT
GOTO BLURB

:RING
CLS
echo.
echo.
echo.  
echo.   RINGKEY.EXE  is used to program key responses in a batch file.
echo.  
echo.
echo.
echo.      Ŀ    Ŀ    Ŀ
echo.      H  HELP MENU           R   how RINGKEY is used      Q  QUIT  
echo.      ͼ    ͼ    ͼ
echo.
echo.

RINGKEY [H Q R]

IF ERRORLEVEL 82 GOTO RING1            .... Key R
IF ERRORLEVEL 81 GOTO QUIT             .... Key Q
IF ERRORLEVEL 72 GOTO HELP             .... Key H


:COMMENT
CLS
echo.
echo.
echo.
echo.
echo.
echo.
echo.                    
echo.                                                                     
echo.                                                                     
echo.                              Ŀ          
echo.                               LOOK is designed for both           
echo.                               quick little editing jobs           
echo.                               and for creating complete           
echo.                               documents prior to finish           
echo.                               in word processors, or in           
echo.                               desk top publishers.                
echo.                                        
echo.                                                                     
echo.                                                                     
echo.                    
echo.                     
echo.
echo.
PAUSE

CLS
echo.
echo.
echo.        
echo.                                                         
echo.                                                         
echo.            Since LOOK is tiny  (it takes only 13K to    
echo.            store on disk) it is ideal when copied to    
echo.            any of your disks  with files you wish to    
echo.            work on at any time.  The disk can be put    
echo.            into any IBM compatable computer and LOOK    
echo.            can be used to edit the file  on the spot.   
echo.                                                         
echo.            LOOK.EXE is all you need.                    
echo.                                                         
echo.                                                         
echo.        
echo.         
echo.
echo.
echo.
echo.
PAUSE
GOTO HELP


:LOOK
CLS
LOOK.EXE
PAUSE
GOTO HELP


:RING1
CLS
RINGKEY.EXE
::        ...RINGKEY  typed by itself at Dos produces its HELP.
PAUSE
GOTO HELP



:: ======================== END OF BATCH FILE

:QUIT
CLS
echo.
echo.
echo             batch utility   (C)  Rhae Livingstone   Ottawa Ont. Feb. 1991
echo          
echo.                                                    peace  joy  happiness
echo.
echo.

